package com.edgec.browserbackend.browser.service;

import com.edgec.browserbackend.browser.domain.Shop;
import com.edgec.browserbackend.browser.dto.FilterDto;
import com.edgec.browserbackend.browser.dto.ShopPageResultDto;
import com.edgec.browserbackend.browser.dto.ShopDto;

import java.util.List;

public interface ShopService {

    String addShop(String useranme, ShopDto shopDto);

    List<String> addShops(String username, List<Shop> shops);

    String updateShop(String username, ShopDto shopDto);

    void deleteShop(String username, String shopId);

    void bindShop(String username, String shopId, String ipAddr);

    void unBindShop(String username, String shopId, String ipAddr);

    void transferShop(String username, String shopId, String groupId);

    void assignShops(String username, List<String> shopIds, List<String> users);

    ShopPageResultDto getShopList(String username, String groupId, int page, int amount, FilterDto filterDto);
}
