package com.edgec.browserbackend.browser.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.ArrayList;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class IpResourceRequestDto {
    private String name;
    private String region;
    private String vendor="aliyun";
    private String logintype = "password";
    private int period = 1;
    private String unit="month";
    private int amount = 1;
    private boolean autorenew = false;
    private int ipkeptperiod = 0;

    private String instanceSpecKey;
    private String imageKey;

    private List<String> ports;

    private String system = "linux";

    private List<String> iplist = new ArrayList<>();

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAmount() {
        return amount;
    }

    public void setAmount(int amount) {
        this.amount = amount;
    }

    public String getImageKey() {
        return imageKey;
    }

    public void setPorts(List<String> ports) {
        this.ports = ports;
    }

    public int getPeriod() {
        return period;
    }

    public void setImageKey(String imageKey) {
        this.imageKey = imageKey;
    }

    public String getUnit() {
        return unit;
    }

    public void setPeriod(int period) {
        this.period = period;
    }

    public String getRegion() {
        return region;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public List<String> getPorts() {
        return ports;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public int getIpkeptperiod() {
        return ipkeptperiod;
    }

    public List<String> getIplist() {
        return iplist;
    }

    public void setIplist(List<String> iplist) {
        this.iplist = iplist;
    }

    public String getInstanceSpecKey() {
        return instanceSpecKey;
    }

    public void setInstanceSpecKey(String instanceSpecKey) {
        this.instanceSpecKey = instanceSpecKey;
    }

    public String getVendor() {
        return vendor;
    }

    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    public String getSystem() {
        return system;
    }

    public void setSystem(String system) {
        this.system = system;
    }
}
